# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (View Summary)

- default
  - default

#### Implements

- InfoToggle

- Defined in src/ui/fight-ui-handler.ts:19

##### Index

### Constructors

constructor

### Properties

active
cursor
cursor2
fieldIndex
fromCommand
mode
MOVES_CONTAINER_NAME

### Methods

clear
clearMoves
destroy
displayMoves
eraseCursor
getCursor
getTextColor
getUi
isActive
processInput
setCursor
setMouseCursorStyle
setup
show
toggleInfo

## Constructors

### constructor

- new default(): default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/fight-ui-handler.ts:39

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` cursor2

cursor2: number = 0

- Defined in src/ui/fight-ui-handler.ts:37

### `Protected` fieldIndex

fieldIndex: number = 0

- Defined in src/ui/fight-ui-handler.ts:35

### `Protected` fromCommand

fromCommand: Command = Command.FIGHT

- Defined in src/ui/fight-ui-handler.ts:36

### `Protected` mode

mode: null | number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Static` `Readonly` MOVES_CONTAINER_NAME

MOVES_CONTAINER_NAME: "moves"

- Defined in src/ui/fight-ui-handler.ts:20

## Methods

### clear

- clear(): void

  #### Returns void

  Overrides default.clear

  - Defined in src/ui/fight-ui-handler.ts:361

### clearMoves

- clearMoves(): void

  #### Returns void

  - Defined in src/ui/fight-ui-handler.ts:379

### destroy

- destroy(): void

  To be implemented by individual handlers when necessary to free memory Called when BattleScene is reset

  #### Returns void

  Inherited from default.destroy

  - Defined in src/ui/ui-handler.ts:69

### displayMoves

- displayMoves(): void

  #### Returns void

  - Defined in src/ui/fight-ui-handler.ts:317

### eraseCursor

- eraseCursor(): void

  #### Returns void

  - Defined in src/ui/fight-ui-handler.ts:388

### getCursor

- getCursor(): number

  #### Returns number

  Overrides default.getCursor

  - Defined in src/ui/fight-ui-handler.ts:216

### getTextColor

- getTextColor(style: TextStyle , shadow?: boolean): string

  #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:36

### getUi

- getUi(): default

  #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:32

### isActive

- isActive(): boolean

  #### Returns boolean

  Implementation of InfoToggle.isActive

  - Defined in src/ui/fight-ui-handler.ts:212

### processInput

- processInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/fight-ui-handler.ts:141

### setCursor

- setCursor(cursor: number): boolean

  #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/fight-ui-handler.ts:220

### `Protected` setMouseCursorStyle

- setMouseCursorStyle(cursorStyle: "default" | "pointer"): void

  Changes the style of the mouse cursor.

  #### Parameters

  - cursorStyle: "default" | "pointer"

    cursor style to apply

  #### Returns void

  #### See

  https://developer.mozilla.org/en-US/docs/Web/CSS/cursor

  Inherited from default.setMouseCursorStyle

  - Defined in src/ui/ui-handler.ts:58

### setup

- setup(): void

  #### Returns void

  Overrides default.setup

  - Defined in src/ui/fight-ui-handler.ts:43

### show

- show(args: any[]): boolean

  #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/fight-ui-handler.ts:119

### toggleInfo

- toggleInfo(visible: boolean): void

  #### Parameters

  - visible: boolean

  #### Returns void

  Implementation of InfoToggle.toggleInfo

  - Defined in src/ui/fight-ui-handler.ts:195